<?php

	require("_init.php");
	require("_funcdb.php");
	require("_funcstd.php");
	require("_connect2.php");

	$_SESSION['pelpoint_processcode'] = $_GET['processcode'];
	$_SESSION['pelpoint_pelcode'] = $_GET['pelcode'];
	$_SESSION['pelpoint_userid'] = $_GET['userid'];
	$_SESSION['pelpoint_user'] = $_GET['user'];
	$_SESSION['pelpoint_kodecabang'] = $_GET['kodecabang'];

	if ( !isset($_SESSION['processcode']) or $_SESSION['processcode'] != $_SESSION['pelpoint_processcode'] ) {
		die("Invalid process !");
	}

	$width = 770;

	echo'
	<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<title>' . NAMA_PERUSAHAAN . '</title>
		<link rel="shortcut icon" href="./images/favicon.ico">
		<link rel="stylesheet" href="./css/gfsoftdialog.css" type="text/css">
		<link rel="stylesheet" href="./css/jquery-ui-1.8.22.custom.css" type="text/css">
		<script type="text/javascript" src="./js/jquery-1.7.2.min.js"></script>
		<script type="text/javascript" src="./js/jquery-ui-1.8.22.custom.min.js"></script>
		<link rel="stylesheet" type="text/css" media="screen" href="jqGrid/css/ui.jqgrid.css" />
		<script src="jqGrid/js/grid.locale-en.js" type="text/javascript"></script> 
		<script src="jqGrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
		<style type="text/css">
			table, th, td {
				border: 0;
				padding: 0;
				border-spacing: 0;
			}
			.ui-jqgrid {font-size:0.8em !important}
			.ui-jqdialog {font-size:0.8em}
			.ui-jqgrid .ui-jqgrid-htable th {
				font-size:0.8em !important;
				height: 2em !important;
			}
			.ui-jqgrid tr.jqgrow td {
				font-size:0.8em !important;
				height: 1.7em !important;
			}
			.ui-paging-info{
				font-size:0.8em !important;
			}
			.verticalalignbtn {
				display: inline-block;
				text-align: center;
				width: 100%;
				height: 40px;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function(){
				$("#list").jqGrid({
					url: "_pelangpointbrowselist.php?q=1",
					datatype: "json",
					sortable: true,
					height: 290,
					width: ' . $width . ',
					mtype: "GET",
					colNames:[" ","Kode","Nama","Awal-Point","Debet","Kredit","Sisa-Point","Daerah","Cabang"],
					colModel:[ 
						{name:"act", width:35, fixed:true, sortable:false, resize:false, formatter:"actions", formatoptions:{keys:true,editbutton:false,delbutton:false}},
						{name:"kode", index:"Kode", key: true, width:100, align:"left" },
						{name:"nama", index:"Nama", width:200, align:"left" },
						{name:"awalpoint", index:"AwalPoint", width:85, align:"right", sortable: false }, 
						{name:"debet", index:"Debet", width:85, align:"right", sortable: false }, 
						{name:"kredit", index:"Kredit", width:85, align:"right", sortable: false }, 
						{name:"sisapoint", index:"SisaPoint", width:85, align:"right", sortable: false }, 
						{name:"daerah", index:"Daerah", width:125, sortable: false }, 
						{name:"cabang", index:"Cabang", width:80,sortable: false } 
					],
					rowNum:10,
					rownumbers:true,
					rownumWidth: 35,
					gridview: true,
					scroll:0,
					rowList:[10,20,30],
					rowheight: 25,
					pager: "#pagerlist",
					sortname: "Nama",
					viewrecords: true,
					sortorder: "ASC",
					shrinkToFit: false,
					caption:"",
					ondblClickRow: function(id) {
						if (id) {
							rincianpoint(id);
						}
					},
					loadComplete: function() {
						var iCol = jqGridgetColumnIndexByName( jQuery("#list"), "act");
						$(this).find(">tbody>tr.jqgrow>td:nth-child(" + (iCol + 1) + ")")
							.each( function() {
								$("<div>", {
									title: "Rincian",
									mouseover: function() {
										$(this).addClass("ui-state-hover");
									},
									mouseout: function() {
										$(this).removeClass("ui-state-hover");
									},
									click: function(e) {
										rincianpoint( $(e.target).closest("tr.jqgrow").attr("id") );
									}
								}
								).css({"margin-right": "5px", float: "left", cursor: "pointer"})
								.addClass("ui-pg-div ui-inline-custom")
								.append(\'<span class="ui-icon ui-icon-gear"></span>\')
								.prependTo($(this).children("div"));
							} );
					}
				});
				$("#list").jqGrid("navGrid","#pagerlist",{add:false,edit:false,del:false});
				$("#pagerlist").height(30);

				$("#dialog").dialog({
					autoOpen: false,
					width: 760,
					height: 400,
					modal: true,
					position: "center",
					closeOnEscape: true,
					resizable: false,
					open: function (event, ui) {
						var rowId =$("#list").jqGrid("getGridParam","selrow");  
						var rowData = jQuery("#list").getRowData(rowId);
						var kode = rowData["kode"];
						var param = "";
						param = param + "&KODE=" + kode;
						$("#listrincian").jqGrid({
							url:"_pelangpointbrowserincianlist.php?q=1&"+param,
							datatype: "json",
							sortable: true,
							height: 320,
							width: 720,
							mtype: "GET",
							colNames:["Tanggal","Keterangan","Debet","Kredit","Saldo"],
							colModel:[ 
								{name:"tanggal", index:"Tanggal", width:140, align:"left" },
								{name:"keterangan", index:"Keterangan", key: true, width:250, align:"left", sortable: false },
								{name:"debet", index:"Debet", width:80, align:"right", sortable: false }, 
								{name:"kredit", index:"Kredit", width:80, align:"right", sortable: false }, 
								{name:"Saldo", index:"Saldo", width:85, align:"right", sortable: false }, 
							],
							rowNum:100000000,
							rownumbers:true,
							rownumWidth: 35,
							gridview: true,
							scroll:1,
							rowList:[100,200,300,100000000],
							rowheight: 30,
							sortname: "Tanggal",
							viewrecords: true,
							sortorder: "Desc",
							shrinkToFit: false,
							caption:"",
							loadComplete: function (data) {
							    $("option[value=100000000]").text("All");
							}
						});
						$(".ui-dialog-buttonpane").find("button:contains(\'Tutup\')").button({icons:{primary: "ui-icon-cancel"}});
					}
				});
			});

			function jqGridgetColumnIndexByName(grid, columnName) {
				var cm = grid.jqGrid("getGridParam", "colModel"), i, l = cm.length;
				for (i = 0; i < l; i++) {
					if (cm[i].name === columnName) {
						return i;
					}
				}
				return -1;
			}

			function wildseek(){
				var param = "";
				if ( $("#semuadata").is(":checked") ) {
					param = param + "&SemuaData=1";
					$("#kode").val("");
					$("#nama").val("");
					$("#daerah").val("");
					$("#kelompok").val("");
					$("#hubungi").val("");
					$("#catatan").val("");
				} else {
					if ( $("#kode").val() != "" ) {
						param = param + "&Kode=" + $("#kode").val();
					}
					if ( $("#nama").val() != "" ) {
						param = param + "&Nama=" + $("#nama").val();
					}
					if ( $("#daerah").val() != "" ) {
						param = param + "&Daerah=" + $("#daerah").val();
					}
					if ( $("#kelompok").val() != "" ) {
						param = param + "&Kelompok=" + $("#kelompok").val();
					}
					if ( $("#hubungi").val() != "" ) {
						param = param + "&Hubungi=" + $("#hubungi").val();
					}
					if ( $("#catatan").val() != "" ) {
						param = param + "&Catatan=" + $("#catatan").val();
					}
				}
				if ( param = "" ) {
					param = param + "&SemuaData=1";
				}
				$("#list").jqGrid("setGridParam",{url:"_pelangpointbrowselist.php?q=1&"+param}).trigger("reloadGrid",[]);
				
			}

			function rincianpoint(rowId){
				var rowData = jQuery("#list").getRowData(rowId);
				var kode = rowData["kode"];
				var param = "";
				param = param + "&KODE=" + kode;
				if ( kode.length > 0 && kode != "undefined") {
					$("#dialog").dialog("open");
					$("#dialog").dialog({title:"Rincian Perhitungan Point"});
					$("#listrincian").jqGrid("setGridParam",{url:"_pelangpointbrowserincianlist.php?q=1&"+param}).trigger("reloadGrid",[]);
				} else {
					alert("Belum pilih pelanggan (Kode Pelanggan kosong).");
				}
			}

		</script>
	</head>
	<body style="background-color:#F0F0F0" oncontextmenu="return false">
		<table width="' . $width . 'px">
			<tr>
				<td>
					<table>
						<tr>
							<td style="width:80px">Kode</td>
							<td style="width:15px">:</td>
							<td><input type="text" name="kode" id="kode" class="text ui-widget-content ui-corner-all" style="width:120px;padding:.2em" value=""/></td>
							<td></td>
							<td></td>
							<td style="width:5px"></td>
							<td></td>
							<td colspan="3"><input type="checkbox" name="semuadata" id="semuadata"/><label for="semuadata"> Semua Data</label></td>
						</tr>
						<tr>
							<td>Nama</td>
							<td>:</td>
							<td colspan="3"><input type="text" name="nama" id="nama" class="text ui-widget-content ui-corner-all" style="width:220px;padding:.2em" value=""/></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td>Daerah</td>
							<td>:</td>
							<td colspan="3"><input type="text" name="daerah" id="daerah" class="text ui-widget-content ui-corner-all" style="width:220px;padding:.2em" value=""/></td>
							<td style="width:5px"></td>
							<td style="width:80px">Hubungi</td>
							<td style="width:15px">:</td>
							<td><input type="text" name="hubungi" id="hubungi" class="text ui-widget-content ui-corner-all" style="width:220px;padding:.2em" value=""/></td>
						</tr>
						<tr>
							<td>Kelompok</td>
							<td>:</td>
							<td colspan="3"><input type="text" name="kelompok" id="kelompok" class="text ui-widget-content ui-corner-all" style="width:220px;padding:.2em" value=""/></td>
							<td></td>
							<td>Catatan</td>
							<td>:</td>
							<td><input type="text" name="catatan" id="catatan" class="text ui-widget-content ui-corner-all" style="width:220px;padding:.2em" value=""/></td>
						</tr>
					</table>
				</td>
				<td>
					<table>
						<tr>
							<td><button type="button" title="Mencari secara wildseek..." style="width:100%;height:100%;" onclick="wildseek();" ><img src="images/wildseek.png"></button></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<div id="Browser1" style="margin:0;padding:0;" title="">
			<table id="list"></table>
			<div id="pagerlist"></div>
		</div>
		<div>
			Total Point s/d Tanggal : ' . Date2ddmmmmyyyy(date('Y-m-d')) . '
		</div>
		<div id="dialog" style="display: none;">
			<table id="listrincian"></table>
		</div>
	</body>
	</html>';

?>